Subject: Re: git-cherry-pick and author field in version 1.7.6.4

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 06 Oct 2011 15:34:15 +0200

Le 06/10/2011 15:26, Jeff King a écrit :
> On Thu, Oct 06, 2011 at 02:37:02PM +0200, Nicolas Dichtel wrote:
>
>>>> Maybe it is related to the problem I've reported in another thread:
>>>> http://comments.gmane.org/gmane.comp.version-control.git/182853
>>>
>>> Possibly. That issue is about the commit that comes _after_ the
>>> cherry-pick, and in this instance, things are already wrong for you by
>>> the time the cherry-pick has completed.
>>>
>>> However, the problem has to do with leaving a stale state file in .git,
>>> so perhaps a previous partially-completed cherry-pick has left cruft in
>>> .git that is confusing this cherry-pick (i.e., I can't reproduce because
>>> it is being affected by something that happened before the commands
>>> above). So let's see what Jay comes up with for solving the other
>>> problem, and I suspect it may just fix this issue, too.
>> I think so too. Will wait.
>
> Since you can reproduce this so readily, and since you said it seems to
> work with older versions of git, you might try bisecting. There's a
> reasonable chance it will just end up at Jay's CHERRY_PICK_HEAD commit,
> but it might be worth doing.
I've try with another user on the same host and it works, so I end up to my 
environment config ... and it's my fault: I've some variables set (GITPERLLIB 
and GIT_EXEC_PATH) that point to an older git version.
Now it works, sorry for the noise!

The second pb, about the author is fixed too.

Regards,
Nicolas